# Uses of Interface
org.eclipse.debug.core.model.IWatchExpressionDelegate

Packages that use IWatchExpressionDelegate
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.

## Uses of IWatchExpressionDelegate in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return IWatchExpressionDelegate
Modifier and Type
Method
Description
`IWatchExpressionDelegate`
IExpressionManager.`newWatchExpressionDelegate(String id)`
Returns a new watch expression delegate for the given debug model or `null` if no delegate is available.